> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/geo-endpoints-for-spatial-data-access.md).

# Points de terminaison géospatiaux pour l’accès aux données spatiales

{% hint style="success" %}
GeoPard utilise <https://www.ogc.org/> des formats de données du Consortium géospatial ouvert (OGC), comme WMS pour les images et WFS pour les données vectorielles. Nous prenons également en charge les shapefiles pour l’importation et l’exportation. Le moteur permet d’importer et d’exporter des données dans tous ces formats. Pour les images satellite, nous utilisons [les COG (GeoTIFF optimisés pour le cloud)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Vous devez installer Postman pour exécuter des requêtes WMS/WFS.
{% endhint %}

{% hint style="info" %}
Chaque requête doit être signée avec l’en-tête "Authorization" (dans lequel il faut renseigner le jeton) ou avec le paramètre d’URL "geopardApiKey " (dans lequel il faut renseigner la clé API de l’utilisateur).
{% endhint %}

Les points de terminaison de l’API WMS sont stockés dans les attributs "geoMaps" des entités "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset" et "YieldDataset". Consultez [le schéma de données GeoPard.](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/geopard-api-data-schema.md)

Les points de terminaison de l’API WFS sont stockés dans les attributs "boundaryUrl", "zonesMapUrl" et "attributesUrl" des entités "Field" et "VectorAnalysisMap".

{% hint style="info" %}
Nous recommandons d’utiliser la projection EPSG:900913 plutôt que EPSG:3857 pour obtenir des images plus précises.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/geo-endpoints-for-spatial-data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
